<template>
  <div
    class="order-card-body"
    :class="[
      isFirstOrder || order.isSuborder ? '--first' : '--second',
      selectedSubOrder && '--popup-active'
    ]"
  >
    <div class="order-card-body__header">
      <div class='order-card-body__header-content'>
        <div class='order-card-body__header-info'>
          <div class='order-card-body__status'>
            <div class='order-number'>
              <div class="order-number__icons">
                <div
                  v-if="currentOrder.isEditable !== undefined && !currentOrder.isEditable"
                  class="order-number__is-editable"
                >
                  <ObTooltip
                    :content="$options.textContent.isEditableIconTooltip"
                  >
                    <i class="icon lock" />
                  </ObTooltip>
                </div>
                <div
                  v-if="['CROSSBOARDING', 'FOREIGN'].includes(currentOrder.transboundary)"
                  class="order-number__icon"
                >
                  <img src="./icons/world.svg" alt="">
                </div>
              </div>
              <span
                class="order-number__title"
              >
                {{ currentOrder.number }}
              </span>
              <span class="order-number__type">
                Заказ {{ currentOrder.isSuborder ? 'Перевозчика' : 'Клиента' }}
              </span>
              <span class="order-number__desc">
                {{ currentOrder.statusTitle }}
              </span>
            </div>
            <transition name="fadeIn">
              <div
                v-if="isShowCollapsedBlock"
                class="order-client-info"
              >
                <div
                  v-if="currentOrder.externalNumber"
                  class="order-client-info__item"
                >
                  № заказа клиента: <span class="client-number" :title="currentOrder.externalNumber">{{ currentOrder.externalNumber }}</span>
                </div>
                <div
                  v-if="currentOrder.contractUuid && currentOrder.contractNumber"
                  class="order-client-info__item"
                >
                  По договору:
                  <router-link
                    class="link-style"
                    :to="{ name: 'contracts__detail', params: { id: currentOrder.contractUuid }}"
                    target="_blank"
                  >
                    {{ currentOrder.contractNumber }}
                  </router-link>
                </div>
              </div>
            </transition>
            <!--            <transition name="fadeIn">-->
            <!--              <p-->
            <!--                v-if="isShowCollapsedBlock"-->
            <!--                class='order-status not-api'-->
            <!--              >-->
            <!--                <i class='icon checked'></i>-->
            <!--                Заказ принят в исполнение-->
            <!--              </p>-->
            <!--            </transition>-->
          </div>

          <div class="order-card-body__header-right">
            <div class="row-item">
              <i class="icon calendar" />
              <div class="row-item__text">
                <span>{{ currentOrder.pvpDt | date('DD.MM.YYYY') }}</span>
                <span class="time">{{ currentOrder.pvpDt | date('HH:mm') }}</span>
              </div>
              <div
                v-if="orderCondition"
                class="order-card-body__condition"
              >
                <i
                  :class="orderCondition.icon"
                  class="icon"
                />
                {{ orderCondition.text }}
              </div>
            </div>
            <transition name="fadeIn">
              <div
                v-if="isShowCollapsedBlock"
                class="row-item"
              >
                <i
                  class="icon"
                  :class="clientIcon"
                />
                <div class="row-item__text">{{ currentOrder.clientTitle }}</div>
              </div>
            </transition>
            <transition name="fadeIn">
              <div
                v-if="isShowCollapsedBlock && currentOrder.contractorTitle"
                class="row-item"
              >
                <i
                  class="icon"
                  :class="contractorIcon"
                />
                <div class="row-item__text">{{ currentOrder.contractorTitle }}</div>
              </div>
            </transition>
          </div>
        </div>

        <div
          v-if="!isClient && !order.isSuborder"
          class='order-card-body__header-price'
        >
          <template v-if="isFirstOrder || Boolean(currentOrder.executor)">
            <div>
              <span
                class="total-sum-dropdown"
                v-click-outside="hidePriceDetail"
              >
                <button
                  class="total-sum-dropdown__button"
                  @click="showPriceDetail"
                >
                  <span>{{ currentOrder.vatType !== 'NO_VAT' ? 'Итого' : 'Итого без НДС' }}</span>
                  <i
                    class="icon"
                    :class="isShowPriceDetail ? 'chevron-up' : 'chevron-down'"
                  />
                </button>
                <transition name="fade-popup">
                  <RightSide
                    v-if="isShowPriceDetail"
                    class="total-sum-dropdown__popup"
                    :order="currentOrder"
                    :is-show-advance="false"
                  />
                </transition>
              </span>
              <span>{{ (currentOrder.totalPriceWithVat / 100 ) | currency({ dot: 2 }) }} ₽</span>
            </div>
            <template v-if="currentOrder.vatType !== 'NO_VAT'">
              <transition name="fadeIn">
                <div v-if="isShowCollapsedBlock">
                  <span>Итого без НДС</span>
                  <span>{{ (currentOrder.totalPriceWithoutVat / 100 ) | currency({ dot: 2 }) }} ₽</span>
                </div>
              </transition>
              <transition name="fadeIn">
                <div v-if="isShowCollapsedBlock">
                  <span>НДС</span>
                  <span>{{ (currentOrder.vatValue / 100 ) | currency({ dot: 2 }) }} ₽</span>
                </div>
              </transition>
            </template>
          </template>
          <template v-else>
            <div>
              <span style="font-size: 0.8em;">Предварительно не более</span>
              <span>~{{ (currentOrder.tariffLimit / 100 ) | currency({ dot: 2 }) }} ₽</span>
            </div>
          </template>
        </div>
      </div>
      <nav class='order-card-body__nav'>
        <ObTabs
          v-model="activeTab"
          :items="tabsItems"
          :no-border="true"
          :items-with-divider="['payments']"
          value-exp="uuid"
        />
        <ObMenuDropdown
          :items="dropdownTabs"
        />
      </nav>
    </div>

    <div class='order-card-body__content'>
      <div
        class='order-card-body__main'
      >
        <div
          v-if="isShowCanceledBlock"
          class="canceled-block"
        >
          Отменено
        </div>
        <transition name="fadeIn" mode="out-in">
          <keep-alive>
            <component
              :style="{ transitionDuration: '0.1s' }"
              :is="activeComponent"
              :uuid="uuid"
              :order-data="currentOrder"
            />
          </keep-alive>
        </transition>
      </div>
    </div>
    <ob-modal
      ref="changePvp"
      :title="'Изменение ПВП'"
      :title-second="'Добавление события'"
      size="medium"
      :is-show-controls="false"
      data-qa="changePvpModal"
    >
      <ChangePvpModal
        :order="order"
        @on-submited="onChangedPvpDate"
      />
    </ob-modal>
    <ob-modal
      ref="cancelOrder"
      :title="'Отмена заказа Клиента'"
      :title-second="'Добавление события'"
      size="medium"
      :is-show-controls="false"
      :is-error="true"
      data-qa="cancelOrderModal"
    >
      <CancelOrderModal
        :order="order"
        @on-submited="onCanceledOrder"
      />
    </ob-modal>
    <ob-modal
      ref="requestExecution"
      :title="'Отправка заявки на исполнение заказа за ' + (currentExecutor() && currentExecutor().title)"
      size="medium"
      :is-show-controls="false"
      data-qa="requestExecutionModal"
    >
      <RequestExecutionModal
        :order="currentOrder"
        @on-submitted="onSignedHandler"
      />
    </ob-modal>
    <OrderFormModal
      ref="orderFormModal"
      :data-source="currentFormData"
      :order="currentOrder"
    />
  </div>
</template>

<script>
  import api from '@/api'
  import clickOutside from 'vue-click-outside'
  import cloneDeep from 'clone-deep'
  import moment from 'moment'
  import { uuid } from 'vue-uuid'
  import { mapGetters, mapActions, mapMutations } from 'vuex'
  import ObModal from 'common-components/src/obComponents/obModal'
  import ObMenuDropdown from 'common-components/src/obComponents/obMenuDropdown'
  import ObTabs from 'common-components/src/obComponents/obTabs'
  import routeCard from 'common-components/src/obComponents/obOrderRouteCard'
  import singlePanel from 'common-components/src/obComponents/obSinglePanels'
  import datePicker from 'common-components/src/obComponents/obDatePickerConstructor'
  import obButton from 'common-components/src/obComponents/obButton'
  import OrderExecution from '@/components/Order/orderItem/execution'
  import ConfirmationExecution from '@/components/Order/orderItem/confirmationExecution/index'
  import PaymentOrder from '@/components/Order/paymentOrder'
  import DetailInfo from '@/components/Order/orderItem/details'
  import ObTooltip from 'common-components/src/obComponents/obTooltip'
  import Services from '@/components/Order/orderItem/services'
  import ChangePvpModal from '@/components/Order/modal/ChangePvpModal'
  import CancelOrderModal from '@/components/Order/modal/CancelOrderModal'
  import RequestExecutionModal from '@/components/Order/modal/RequestExecutionModal'
  import OrderFormModal from '@/components/Order/orderItem/execution/events/modal'
  import RightSide from '@/components/Order/orderItem/RightSide'
  import { iconByRolev2 } from '@/helpers/user'
  import { textContent } from "@/constants/order"

  export default {
    name: 'OrderCardBody',
    directives: {
      clickOutside
    },
    props: {
      uuid: {
        type: String,
        required: true
      }
    },
    textContent,
    components: {
      singlePanel,
      ObModal,
      datePicker,
      OrderExecution,
      ConfirmationExecution,
      PaymentOrder,
      obButton,
      ObTabs,
      DetailInfo,
      Services,
      routeCard,
      ObMenuDropdown,
      ChangePvpModal,
      CancelOrderModal,
      RequestExecutionModal,
      RightSide,
      OrderFormModal,
      ObTooltip
    },
    data () {
      return {
        activeTab: { uuid: this.$route.query.tab || 'execution' },
        tabsItems: [
          {
            uuid: 'execution',
            title: 'Исполнение'
          },
          {
            uuid: 'confirmation',
            title: 'Подтверждение исполнения',
            isDisabled: false
          },
          {
            uuid: 'payments',
            title: 'Оплата',
            isDisabled: false
          },
          {
            uuid: 'services',
            title: 'Услуги'
          },
          {
            uuid: 'details',
            title: 'Детали заказа'
          }
        ],
        isShowPriceDetail: false,
        currentFormData: {}
      }
    },
    watch: {
      activeTab (value) {
        const currentTab = this.$route.query?.tab || 'execution'

        if (value.uuid !== currentTab) {
          this.$router.replace({ query: { ...this.$route.query, tab: value.uuid } })
          this.$nextTick(() => {
            this.getDataByTab()
          })
        }
      },
      '$route' (route) {
        const currentTab = route.query?.tab || 'execution'

        if (this.activeTab.uuid !== currentTab) {
          this.activeTab = { uuid: currentTab }
        }
      }
    },
    computed: {
      ...mapGetters('user', {
        isClient: 'isClient',
        isClicar: 'isClicar',
        isCarrier: 'isCarrier',
      }),
      ...mapGetters('order', {
        order: 'order',
        orderTrips: 'orderTrips',
        selectedSubOrder: 'selectedSubOrder',
        selectedTrip: 'selectedTrip',
        subOrder: 'subOrder',
        subOrderEvents: 'subOrderEvents',
        subOrders: 'subOrders',
        tripEvents: 'tripEvents',
        tripsPointsInfo: 'tripsPointsInfo',
      }),

      currentOrder () {
        if (this.uuid === this.order.uuid) return this.order

        return this.subOrder[this.uuid] || {}
      },
      autoSubordersList () {
        return this.subOrders.filter(item => item.subOrderType === 'AUTO' && item.species === 'order')
      },
      allocatedAutoSubordersList () {
        return this.autoSubordersList.filter(item => {
          return [`ALLOCATED`, `CONTRACTED`, `IN_PROCESS`, `PROCESSED`, `FAILED`, `EXECUTION_CONFIRMED`, `INVOICING`, `INVOICED`, `PAY_PROCESS`, `PAID`].includes(item.status)
        })
      },
      clientIcon () {
        const role = this.currentOrder.clientRoleCode
        return role ? this.iconByRolev2(role.toLowerCase()) : 'role-client'
      },
      contractorIcon () {
        const role = this.currentOrder.contractorRoleCode
        return role ? this.iconByRolev2(role.toLowerCase()) : 'carrier'
      },
      isShowCanceledBlock () {
        if (this.selectedTrip) {
          return this.orderTrips.find(item => item.uuid === this.selectedTrip.uuid)?.status === 'CANCELED'
        } else {
          return this.currentOrder.status === 'CANCELED'
        }
      },
      activeComponent () {
        let componentsMap = {
          execution: OrderExecution,
          confirmation: ConfirmationExecution,
          payments: PaymentOrder,
          services: Services,
          details: DetailInfo,
        };
        return componentsMap[this.activeTab.uuid]
      },
      isFirstOrder () {
        return this.uuid === this.orderId && !this.$route.query.is_suborder
      },
      isTrain () {
        return this.currentOrder.species === 'TRAIN' || this.currentOrder.subOrderType === 'TRAIN'
      },
      orderId () {
        return this.$route.params.id
      },
      isShowCollapsedBlock () {
        return !this.selectedSubOrder || this.uuid !== this.orderId
      },
      isContractedOrder () {
        return this.order.status === 'NEW'
      },
      isAttorneyLettersChangeEnable () {
        return Boolean(this.allocatedAutoSubordersList.length)
      },
      dropdownTabs () {
        let list = [
          {
            title: 'Изменить ответственного логиста',
            isHidden: this.currentOrder.status === 'CANCELED' || !this.isClicar || !this.currentOrder.isEditable,
            method: () => this.setOrderLogist()
          }
        ]
        if (this.isFirstOrder) {
          return [
            ...list,
            {
              title: 'Изменить номер заказа клиента',
              isHidden: !['NEW', 'IN_PROCESS', 'PROCESSED'].includes(this.currentOrder.status) || !this.currentOrder.isEditable,
              method: () => this.changeExternalNumber()
            },
            {
              title: 'Выгрузить данные по заказу',
              isHidden: !this.isClicar,
              method: () => this.getFirstOrderXls()
            },
            {
              title: 'Изменить ПВП',
              isHidden: !this.isContractedOrder || !this.order.isEditable || this.isClient,
              method: () => this.$refs.changePvp.open()
            },
            {
              title: 'Изменить доверенность',
              isHidden: !this.isAttorneyLettersChangeEnable || !this.isClicar,
              method: () => this.changeAttorneyLetters()
            },
            {
              title: 'Посмотреть историю событий',
              method: () => this.$refs.historyEvents.open(),
              isHidden: true,
            },
            {
              title: 'Создать копию заказа',
              icon: 'copy-2',
              method: () => this.copyOrder()
            },
            {
              title: 'Отменить заказ',
              className: '-light-raspberry-red',
              icon: 'trash',
              isHidden: !this.order.isCancelable || !this.order.isEditable,
              method: () => this.$refs.cancelOrder.open()
            }
          ]
        } else {
          return [
            ...list,
            {
              title: 'Посмотреть историю ставок аукциона',
              isHidden: !['AUTO'].includes(this.currentOrder.species),
              method: () => this.setVisibleLotHistory(true)
            },
            {
              title: 'Отправить заявку',
              method: () => this.$refs.requestExecution.open(),
              isHidden: this.isTrain || !this.isCarrier || !this.currentOrder.isSuborder || ['NEW', 'ON_DOER_SEARCH', 'BOOKED', 'CANCELED'].includes(this.currentOrder.status)
            }
          ]
        }
      },
      orderCondition () {
        if (!this.currentOrder || !this.currentOrder.orderCondition) return

        if (this.currentOrder.orderCondition === 'QUOTA') return {
          icon: 'handshake',
          text: 'Квота'
        }

        if (this.currentOrder.orderCondition === 'SPOT') return {
          icon: 'hot-2 -light-raspberry-red',
          text: 'Спот'
        }

        return false
      }
    },
    methods: {
      ...mapActions({
        getOrder: 'order/getOrder',
        getSubOrder: 'order/getSubOrder',
        getDataByTab: 'order/getDataByTab'
      }),
      ...mapMutations({
        setVisibleLotHistory: 'order/setVisibleLotHistory'
      }),
      iconByRolev2,
      currentExecutor () {
        return this.currentOrder && this.currentOrder.executor || null
      },
      onChangedPvpDate () {
        this.$refs.changePvp.close()
        this.getOrder({ uuid: this.order.uuid, timeout: 1000 })
      },
      onCanceledOrder () {
        this.$refs.cancelOrder.close()
        this.getOrder({ uuid: this.order.uuid, timeout: 1000 })
      },
      onSignedHandler () {
        this.$refs.requestExecution.close()
        this.getSubOrder({ data: this.currentOrder })
      },
      showPriceDetail () {
        this.isShowPriceDetail = !this.isShowPriceDetail
      },
      async getFirstOrderXls () {
        const notificationId = `${new Date().getTime()}xls`
        try {
          const { uuid, number } = this.currentOrder
          this.$notification({
            type: 'system_notification_in_load',
            message: 'Загрузка',
            id: notificationId
          });
          await api.orderProcess.getFirstOrderXls({ uuid, number })
        } catch (e) {
          this.$notification({
            type: 'system_notification_error',
            message: 'Ошибка загрузки файла'
          })
        } finally {
          this.$notification({event: 'close', id: notificationId})
        }
      },
      hidePriceDetail () {
        if (this.isShowPriceDetail) {
          this.isShowPriceDetail = false
        }
      },
      async copyOrder () {
        const notificationId = `${new Date().getTime()}save`
        this.$notification({
          type: 'system_notification_in_load',
          message: 'Копирование заказа',
          id: notificationId
        })

        try {
          const orderDraftData = await api.orderProcess.getOrderDraftCard({ po_draft_uuid: this.currentOrder.uuid })
          const { responseDraft, cargo, parameters } = orderDraftData

          const entityTypeMap = {
            NONREGULAR: 'Nonregular Order',
            REGULAR: 'Order'
          }
          const newOrderNumber = await api.orderProcess.getNewOrderNumber({ entityType: entityTypeMap[responseDraft.orderKind] })

          let newResponseDraft = cloneDeep(responseDraft)

          newResponseDraft.clientUuid = responseDraft.client.uuid
          newResponseDraft.contractorUuid = responseDraft.contractor.uuid
          newResponseDraft.number = newOrderNumber
          newResponseDraft.uploadedFromFile = false
          newResponseDraft.route.departureDt = moment().add(1, 'days').set({ hours: 12, minutes: 0 })
          newResponseDraft.route.arriveDt = null
          delete newResponseDraft.tariffUuid
          newResponseDraft.route.points = responseDraft.route.points.map((point) => {
            const childPoints = point.childPoints.map((childPoint) => {
              childPoint.params.uuid = uuid.v4()
              return {
                ...childPoint
              }
            })
            point.params.uuid = uuid.v4()
            return {
              ...point,
              childPoints
            }
          })

          const newData = {
            bodySaveDraft: {
              ...newResponseDraft,
            },
            cargo,
            parameters,
          }
          const newUuid = uuid.v4()

          await api.orderProcess.saveOrderDraft({ uuid: newUuid, data: newData })
          await api.orderProcess.saveRoutes({ uuid: newUuid, data: { ...newResponseDraft.route } })

          this.$notification({
            type: 'snackbars',
            message: `Создана копия заказа:`,
            timeout: 6000,
            onclick: {
              label: newOrderNumber,
              value: newUuid,
              action: (uuid) => {
                window.open(`${window.location.origin}/order-drafts-item/${uuid}`)
              }
            }
          })
        } catch (e) {
          this.$notification({
            type: 'system_notification_error',
            message: 'Ошибка копирования заказа'
          })
        } finally {
          this.$notification({event: 'close', id: notificationId})
        }
      },
      async setOrderLogist () {
        this.currentFormData = {
          code: 'logist'
        }
        this.$refs.orderFormModal.open()
      },
      async changeExternalNumber () {
        this.currentFormData = {
          code: 'external_number'
        }
        this.$refs.orderFormModal.open()
      },
      async changeAttorneyLetters () {
        this.currentFormData = {
          code: 'attorney_changed',
          suborders: this.allocatedAutoSubordersList
        }
        this.$refs.orderFormModal.open()
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import '~common-components/src/static/css/variables';
  @import '~common-components/src/static/css/mixins';

  .order-card-body {
    position: relative;
    overflow: hidden;
    z-index: 10;
    left: 0;
    display: flex;
    flex-direction: column;
    width: 100%;
    background-color: $background-white;
    &.--first {
      position: relative!important;
      top: 0;
      max-height: 9999px;
      transition: max-height .4s ease-out;
    }
    &.--popup-active {
      &.--first {
        max-height: 60px;
        overflow: hidden;
        .order-card-body__header-content {
          padding-bottom: 10px;
          background-color: $light-lavender;
        }
        .order-card-body__header-info {
          padding-top: 15px;
          padding-bottom: 0;
        }
        .order-number {
          margin-top: -1px;
        }
        .order-number__title, .order-card-body__header-price div:first-child {
          color: $gray-slate
        }
        .row-item {
          transform: translateY(8px);
          color: $color-grey-span!important;
        }
        .order-card-body__header-price {
          padding-top: 3px;
          padding-bottom: 0;
        }
        &::v-deep {
          .ob-input-wrap {
            border-color: transparent;
            background-color: transparent;
          }
        }
        .total-sum-dropdown {
          &__button {
            pointer-events: none;
          }
          &__popup {
            display: none;
          }
        }
      }
    }
    &__header {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      position: relative;
      box-shadow: 0px 2px 10px rgba($color-blue-navy-blue, 0.15);
      z-index: 5;
      &-content {
        display: flex;
        align-items: flex-start;
        transition: background-color .3s ease-in-out;
      }
      &-info {
        display: flex;
        justify-content: space-between;
        flex-grow: 1;
        padding: 25px 20px 0;
        transition: padding .3s ease-in-out;
      }
      &-price {
        width: 340px;
        flex-shrink: 0;
        margin-top: 17px;
        padding: 5px 20px 4px 18px;
        border-left: 1px solid rgba(0, 112, 166, 0.3);
        transition: paddingTop .3s ease-in;
        div {
          display: flex;
          justify-content: space-between;
          @include font-mixin(12px, 20px, 400, $color-grey-span, 0.2px);
          & + div {
            margin-top: 6px;
          }
          &:first-child {
            margin-bottom: 6px;
            white-space: nowrap;
            @include font-mixin(16px, 20px, 700, $color-text-base, 0.2px);
            transition: color .3s ease-in;
          }
          &.annotation {
            justify-content: flex-end;
            text-align: right;
            font-size: 14px;
          }
          span + span {
            margin-left: 25px;
            white-space: nowrap;
          }
        }
      }
    }

    &__header-text + &__header-text {
      margin-top: 6px;
    }

    &__header-right {
      display: flex;
      flex-direction: column;
      position: relative;
      top: -3px;
      .row-item + .row-item {
        margin-top: 6px;
      }
      .row-item {
        display: flex;
        align-items: center;
        transition: transform .3s ease-in;
        @include font-mixin(12px, 20px, 400, $color-text-base, 0.4px);
        .icon {
          margin-right: 10px;
          font-size: 14px;
          color: $color-blue-navy-blue;
        }
        .time {
          margin-left: 8px;
        }
        &__text {
          //width: 125px;
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
        }
      }

      .order-card-body__condition {
        display: flex;
        align-items: center;
        margin-left: 14px;

        .icon {
          margin-right: 8px;
          font-size: 16px;
          color: $color-blue-navy-blue;
        }
      }
    }

    .client-number {
      display: inline-block;
      max-width: 180px;
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }

    &__status {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
    }

    .order-number {
      display: flex;
      justify-content: flex-start;
      align-items: flex-start;
      margin-top: -5px;
      transition: margin-top .3s ease-in-out;
      &__icons {
        display: flex;
        &:not(:empty) {
          margin-right: 16px;
        }
        & > div + div {
          margin-left: 11px;
        }
      }
      &__icon {
        margin-top: 8px;
      }
      &__title {
        @include font-mixin(24px, 36px, 700, $components-orderItem_card_body_title_font_color, 0.2px);
      }
      &__type {
        margin-left: 12px;
        @include font-mixin(20px, 28px, 700, $gray-slate, 0.4px);
      }
      &__desc {
        margin-left: 12px;
        @include font-mixin(10px, 22px, 400, $gray-slate, 0.7px, uppercase);
        opacity: 0.8;
      }
      &__is-editable {
        margin-top: 7px;
        i {
          font-size: 21px;
          color: $color-blue-navy-blue;
        }
      }
    }

    .order-client-info {
      display: flex;
      align-items: center;
      margin-top: 2px;
      min-width: 540px;
      &__item + .order-client-info__item {
        margin-left: 20px;
      }
      &__item {
        display: flex;
        align-items: center;
        @include font-mixin(14px, 18px, 400, $gray-slate);
        a, span {
          margin-left: 5px;
        }
      }
    }

    .order-status {
      display: flex;
      align-items: center;
      margin-top: 4px;
      padding: 10px 11px;
      width: auto;
      background-color: rgba($color-green-light, 0.1);
      @include font-mixin(16px, 20px, 400, $color-text-base, 0.2px);

      .icon {
        margin-right: 12px;
        font-size: 16px;
        font-weight: bold;
        color: $color-green-light;
      }
    }

    &__nav {
      display: flex;
      justify-content: space-between;
      align-items: center;
      width: 100%;
      margin-top: 27px;
      padding-left: 20px;
      padding-right: 10px;
      @include font-mixin(16px, 20px, 400, $gray-slate, 0.4px);

      & > div {
        width: auto;
      }

      &::v-deep {
        .ob-tabs-container {
          flex-grow: 2;
        }
      }

      ul {
        display: flex;
        flex-shrink: 0;
        list-style: none;
      }

      li {
        cursor: pointer;
        padding: 8px 10px;
        border-bottom: 2px solid transparent;

        &:not(:last-child) {
          margin-right: 11px;
        }

        &.--disabled {
          cursor: not-allowed;
          color: $gray-window;
        }
      }

      .active {
        color: $color-blue-navy-blue;
        border-color: $color-blue-navy-blue;
      }

      span {
        padding: 8px 10px;
      }
    }

    &__content {
      min-height: 600px;
      flex-grow: 2;
      display: flex;
    }

    &__main {
      position: relative;
      z-index: 1;
      flex-grow: 1;
      padding: 30px 20px 20px 20px;
      background-color: $background-white;
      .canceled-block {
        pointer-events: none;
        z-index: 2000;
        position: absolute;
        top: 20%;
        left: 10%;
        text-align: center;
        color: #E62D3B;
        opacity: 0.2;
        transform: matrix(0.86, -0.48, 0.52, 0.87, 0, 0);
        transform-origin: right;
        font-size: 7vw;
        letter-spacing: 1.5vw;
        text-transform: uppercase;
      }
    }

    .total-sum-dropdown {
      position: relative;
      &__button {
        display: flex;
        align-items: center;
        background-color: transparent;
        border: none;
        outline: none;
        cursor: pointer;
        @include font-mixin(16px, 20px, 400, $color-blue-navy-blue, 0.4px);
        i {
          margin-left: 6px;
        }
        &:hover {
          opacity: 0.8;
        }
      }
      &__popup {
        flex-direction: column;
        position: absolute;
        top: calc(100% + 10px);
        left: -18px;
        background-color: #fff;
      }
    }

    .fadeIn-leave-to {
      opacity: 0;
    }

    .fadeIn-enter-active, .fadeIn-leave-active {
      transition: opacity .4s linear;
    }

    .fade-popup-enter, .fade-popup-leave-to {
      opacity: 0;
    }

    .fade-popup-enter-active, .fade-popup-leave-active {
      transition: all .2s ease-in-out;
    }
  }
</style>

